summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket <crockabiscuit@yahoo.com>2011-03-07 23:32:38 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-03-08 12:14:45 -0600
commite41cc36f959880b3d29fcebf3508bbf674a99157 (patch)
treee44b3c599be113390e73b47b6af71820f0bc5424
parentb0ee7d0130a0328fe0c9be194fed7098d55c5b9d (diff)
downloadslackbuilds-e41cc36f959880b3d29fcebf3508bbf674a99157.tar.gz
slackbuilds-e41cc36f959880b3d29fcebf3508bbf674a99157.tar.xz
misc/cups-windows: Added (CUPS PostScript driver for Windows)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--misc/cups-windows/README8
-rw-r--r--misc/cups-windows/README.SLACKWARE48
-rw-r--r--misc/cups-windows/cups-windows.SlackBuild50
-rw-r--r--misc/cups-windows/cups-windows.info10
-rw-r--r--misc/cups-windows/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/misc/cups-windows/README b/misc/cups-windows/README
new file mode 100644
index 0000000000..7c84fe5a1c
--- /dev/null
+++ b/misc/cups-windows/README
@@ -0,0 +1,8 @@
+cups-windows (CUPS PostScript driver for Windows)
+
+cups-windows provides rendering and user-interface modules for the
+Microsoft PostScript printer driver (PSCRIPT5.DLL and PS5UI.DLL)
+which is included with the corresponding Microsoft Windows 2000, XP,
+or 2003 operating system.
+
+See README.SLACKWARE for setup/configuration help.
diff --git a/misc/cups-windows/README.SLACKWARE b/misc/cups-windows/README.SLACKWARE
new file mode 100644
index 0000000000..0ffc002371
--- /dev/null
+++ b/misc/cups-windows/README.SLACKWARE
@@ -0,0 +1,48 @@
+You will need to get the following files from an installation of Windows:
+
+ ps5ui.dll pscript.hlp pscript.ntf pscript5.dll
+
+They will be in all caps (uppercase) on the Windows machine, but make sure
+you have them in lowercase, and then place them in /usr/share/cups/drivers/
+
+
+Now you'll need to make sure /etc/samba/smb.conf is properly configured.
+Sample parameters for /etc/samba/smb.conf are as follows:
+
+ [global]
+ load printers = yes
+ printcap name = cups
+ printing = cups
+
+ [printers]
+ comment = All Printers
+ path = /var/spool/samba
+ browseable = yes
+ public = yes
+ guest ok = yes
+ writable = no
+ printable = yes
+
+ [print$]
+ comment = Printer Drivers
+ path = /usr/share/cups/drivers
+ browseable = yes
+ guest ok = yes
+ read only = yes
+ write list = root
+
+
+You might also want to create /etc/samba/users.map with e.g. this:
+
+ darkstar # cat /etc/samba/users.map
+ # This file maps Unix usernames to client usernames
+ # Format:
+ # Unix username = client username
+ root = Administrator
+ # add other mappings as needed
+
+
+Finally, export the printers with "cupsaddsamba -a" and restart cupsd.
+
+If you have trouble, you might find this article helpful:
+http://www.enterprisenetworkingplanet.com/netsysm/article.php/10954_3621876_2/Push-Windows-Printer-Drivers-with-CUPS.htm
diff --git a/misc/cups-windows/cups-windows.SlackBuild b/misc/cups-windows/cups-windows.SlackBuild
new file mode 100644
index 0000000000..b606fd1b59
--- /dev/null
+++ b/misc/cups-windows/cups-windows.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for cups-windows
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=cups-windows
+VERSION=${VERSION:-6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install BUILDROOT=$PKG
+
+# Permissions don't seem necessary, but I get errors like this otherwise:
+# smbd: print_job_start: insufficient permissions to open spool file /var/spool/samba/smbprn.00000011.Ox9UuS.
+# Calling all cluebats... ;-) --rworkman
+mkdir -p $PKG/var/spool/samba
+chmod 1777 $PKG/var/spool/samba
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/cups-windows/cups-windows.info b/misc/cups-windows/cups-windows.info
new file mode 100644
index 0000000000..bd64e2893c
--- /dev/null
+++ b/misc/cups-windows/cups-windows.info
@@ -0,0 +1,10 @@
+PRGNAM="cups-windows"
+VERSION="6.0"
+HOMEPAGE="http://www.cups.org/"
+DOWNLOAD="http://ftp.easysw.com/pub/cups/windows/cups-windows-6.0-source.tar.bz2"
+MD5SUM="e4569a58b6ad8bdef3208c4385c52625"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"
diff --git a/misc/cups-windows/slack-desc b/misc/cups-windows/slack-desc
new file mode 100644
index 0000000000..ecc9281e89
--- /dev/null
+++ b/misc/cups-windows/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cups-windows: cups-windows (CUPS PostScript driver for Windows)
+cups-windows:
+cups-windows: cups-windows provides rendering and user-interface modules for the
+cups-windows: Microsoft PostScript printer driver (PSCRIPT5.DLL and PS5UI.DLL)
+cups-windows: which is included with the corresponding Microsoft Windows 2000, XP,
+cups-windows: or 2003 operating system.
+cups-windows:
+cups-windows: Homepage: http://www.cups.org/
+cups-windows:
+cups-windows:
+cups-windows: